package nckd.jxccl.hr.gzbb;

import java.math.BigDecimal;

public class ZgsrDetailsAmtVO {
    private Long personId;
    private BigDecimal nckd_djbxc;
    private BigDecimal nckd_ddnyfjx;
    private BigDecimal nckd_dyjdnjx;
    private BigDecimal nckd_dbfsnjx;
    private BigDecimal nckd_dydyzfjx;
    private BigDecimal nckd_dffsyrjxjl;
    private BigDecimal nckd_dytbnrqjl;
    private BigDecimal nckd_djbt;
    private BigDecimal nckd_dqtycxzxjl;

    public BigDecimal getNckd_djbxc() {
        if (nckd_djbxc ==  null) {
            nckd_djbxc = BigDecimal.ZERO;
        }
        return nckd_djbxc;
    }

    public void setNckd_djbxc(BigDecimal nckd_djbxc) {
        this.nckd_djbxc = nckd_djbxc;
    }

    public BigDecimal getNckd_ddnyfjx() {
        if (nckd_ddnyfjx ==  null) {
            nckd_ddnyfjx = BigDecimal.ZERO;
        }
        return nckd_ddnyfjx;
    }

    public void setNckd_ddnyfjx(BigDecimal nckd_ddnyfjx) {
        this.nckd_ddnyfjx = nckd_ddnyfjx;
    }

    public BigDecimal getNckd_dyjdnjx() {
        if (nckd_dyjdnjx ==  null) {
            nckd_dyjdnjx = BigDecimal.ZERO;
        }
        return nckd_dyjdnjx;
    }

    public void setNckd_dyjdnjx(BigDecimal nckd_dyjdnjx) {
        this.nckd_dyjdnjx = nckd_dyjdnjx;
    }

    public BigDecimal getNckd_dbfsnjx() {
        if (nckd_dbfsnjx ==  null) {
            nckd_dbfsnjx = BigDecimal.ZERO;
        }
        return nckd_dbfsnjx;
    }

    public void setNckd_dbfsnjx(BigDecimal nckd_dbfsnjx) {
        this.nckd_dbfsnjx = nckd_dbfsnjx;
    }

    public BigDecimal getNckd_dydyzfjx() {
        if (nckd_dydyzfjx ==  null) {
            nckd_dydyzfjx = BigDecimal.ZERO;
        }
        return nckd_dydyzfjx;
    }

    public void setNckd_dydyzfjx(BigDecimal nckd_dydyzfjx) {
        this.nckd_dydyzfjx = nckd_dydyzfjx;
    }

    public BigDecimal getNckd_dffsyrjxjl() {
        if (nckd_dffsyrjxjl ==  null) {
            nckd_dffsyrjxjl = BigDecimal.ZERO;
        }
        return nckd_dffsyrjxjl;
    }

    public void setNckd_dffsyrjxjl(BigDecimal nckd_dffsyrjxjl) {
        this.nckd_dffsyrjxjl = nckd_dffsyrjxjl;
    }

    public BigDecimal getNckd_dytbnrqjl() {
        if (nckd_dytbnrqjl ==  null) {
            nckd_dytbnrqjl = BigDecimal.ZERO;
        }
        return nckd_dytbnrqjl;
    }

    public void setNckd_dytbnrqjl(BigDecimal nckd_dytbnrqjl) {
        this.nckd_dytbnrqjl = nckd_dytbnrqjl;
    }

    public BigDecimal getNckd_djbt() {
        if (nckd_djbt ==  null) {
            nckd_djbt = BigDecimal.ZERO;
        }
        return nckd_djbt;
    }

    public void setNckd_djbt(BigDecimal nckd_djbt) {
        this.nckd_djbt = nckd_djbt;
    }

    public BigDecimal getNckd_dqtycxzxjl() {
        if (nckd_dqtycxzxjl ==  null) {
            nckd_dqtycxzxjl = BigDecimal.ZERO;
        }
        return nckd_dqtycxzxjl;
    }

    public void setNckd_dqtycxzxjl(BigDecimal nckd_dqtycxzxjl) {
        this.nckd_dqtycxzxjl = nckd_dqtycxzxjl;
    }

    public Long getPersonId() {
        return personId;
    }

    public void setPersonId(Long personId) {
        this.personId = personId;
    }
}

